LibOFX: OfxPaymentRequest Class Reference

LibOFX

Public Member Functions
OfxPaymentRequest Class Reference
Inheritance diagram for OfxPaymentRequest:

## Public Member Functions
| OfxPaymentRequest (const OfxFiLogin &fi, const OfxAccountData &account, const OfxPayee &payee, const OfxPayment &payment)
| OfxPaymentRequest (const OfxFiLogin &fi, const OfxAccountData &account, const OfxPayee &payee, const OfxPayment &payment)
Public Member Functions inherited from OfxRequest
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
Public Member Functions inherited from OfxAggregate
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const

## Additional Inherited Members
Protected Attributes inherited from OfxRequest
OfxFiLogin | m_login

## Detailed Description

Definition at line 84 of file ofx_request_statement.hh.

## Constructor & Destructor Documentation

## ◆ OfxPaymentRequest() [1/2]

OfxPaymentRequest::OfxPaymentRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | const OfxPayee & | payee,
|  | const OfxPayment & | payment
| ) |  |

Creates the request aggregate to submit a payment to this `fi` on this `account`, to this `payee` as described by this .

Parameters

  fi | The information needed to log on user into one financial institution
  account | The account from which the payment should be made
  payee | The payee who should receive the payment
  payment | The details of the payment

Definition at line 149 of file ofx_request_statement.cpp.

## ◆ OfxPaymentRequest() [2/2]

OfxPaymentRequest::OfxPaymentRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | const OfxPayee & | payee,
|  | const OfxPayment & | payment
| ) |  |

Creates the request aggregate to submit a payment to this `fi` on this `account`, to this `payee` as described by this .

Parameters

  fi | The information needed to log on user into one financial institution
  account | The account from which the payment should be made
  payee | The payee who should receive the payment
  payment | The details of the payment

The documentation for this class was generated from the following files:

- ofx_request_statement.hh
- ofx_request_statement.cpp